Installing on TP-Link TL-WR841N V13

See this OpenWRT thread and the post by "gesucristo"...

https://forum.openwrt.org/viewtopic.php?id=70687

Solved - my problem + How to REVERT to STOCK firmware !

Problem:
Would be nice If someone could help me.
I got two TL-WR841N V13 (one for a friend, the other one for me) and flashed openwrt snapshot on both, with the help of these: tutorial, openwrt-docs-luci and yt-video.
One is working really nice, but on the other one I just can not install luci.

If I try to install luci on the second device (on the first device luci is working well):

/$ opkg update
Downloading http://downloads.lede-project.org/snapshots/targets/ramips/mt76x8/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading http://downloads.lede-project.org/snapshots/targets/ramips/mt76x8/packages/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/base/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/luci/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/packages/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/routing/Packages.sig
Signature check passed.
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading http://downloads.lede-project.org/snapshots/packages/mipsel_24kc/telephony/Packages.sig
Signature check passed.
/$ opkg install luci
Unknown package 'luci'.
Collected errors:
 * opkg_install_cmd: Cannot install package luci.

How I solved the problem + How to revert to STOCK firmware !

1. I did revert to stock firmware : (use at your own risk)
Flash instruction to revert to Stock firmware (same as flashing openwrt/lede, I only had to delete header of original tp link firmware):

Configure PC with static IP 192.168.0.66/24 and tftp server (this yt-video could help) .
Rename "tp_recovery(TL-WR841N(EU)_V13_STRIPPED).bin" (this is my changed version, never use original firmware, when I did I stuck in boot loop :sweat_smile: hopefully I was able to revert)
to β€œtp_recovery.bin” and place it in tftp server directory.
Connect PC with one of LAN ports, press the reset button, power up
the router and keep button pressed for around 6-7 seconds, until
device starts downloading the file.
Router will download file from server, write it to flash and reboot.
After it finished flashing, configure PC IP back to automatic.

(changed @braian87b's Lede Flash instruction for my purpose, by the way thanks for your instruction :slight_smile: )

2. I did flash openwrt/lede again
I used this Flash instruction. I connected over scp with Winscp to 192.168.1.1 with account name "root", I stayed on root folder and started the console. Before I typed in the commands from openwrt-docs-luci. I plugged in my Modem's LAN cable to TL-WR841N WAN for the internet connection.


I think, I only had to stay on root folder, but now I can share how to revert to stock firmware :+1: I just soft bricked my TL-WR841N V13 three times before I realized that I only had to change a small part :sweat_smile:

I hope I was able to help you.
Yours sincerely.


:warning: Important information:
Guys I do not recommend you to revert to stock firmware, Tp-link TL-WR841N stock firmware is infected with a VPNFilter malware, like all other devices on this list. So if openwrt is working well for you, do NOT revert to stock firmware.

1 Like

@ralaud after using your given link I am able use openwrt and back to stock rom also. But I have a Dell inspiron N 4010 Laptop that has Intel Centrino N 1000 this wifi device is unable to connect with the router using win 10 and also in ubuntu. so i revert back to stock rom otherwise i wanted to use the openwrt. anyone has any suggestion?

@khandakershahi
It could be a bug, openwrt for our version isn't stable at moment, for example my https server for luci gui just crashed, but on my second device not (due to it has an older snapshot build installed). Just try the next snapshot build (there are daily builds), testing it next week again would be my recommendation.

:warning: Important information:
Guys I do not recommend you to revert to stock firmware, Tp-link TL-WR841N stock firmware is infected with a VPNFilter malware, like all other devices on this list. So if openwrt is working well for you, do NOT revert to stock firmware.

@ralaud
thank you for suggestion. I already install openwrt to my router but as I previously said my dell laptop won't able to connect to router so I have to leave the router wifi access to no encryption and install nodogsplash. By using nodogsplash username and password now it can connect easily. I don't know how much secure is my access point now. Any advice please.

@khandakershahi
So only connection with WPA2 encryption does not work?

You could try to catch some log data, these links could help you 'System log in OpenWrt' and 'LOG MESSAGES'. Upload your log data here https://ghostbin.com/ or https://privatebin.net/ and open new Topic, maybe some one can help you. I am new to Openwrt stuff, so I need to look into first too. And without these logs it is really hard to find the bug.

I did change many settings like operating frequency, Mode, Channel, Width, Transmit Power and encryption, cipher, key etc but yet laptop unable to connect. log says:

Wed Jun 13 10:48:38 2018 daemon.notice hostapd: wlan0: STA xx:xx:xx:xx:xx:xx IEEE 802.11: did not acknowledge authentication response
Wed Jun 13 10:48:44 2018 daemon.notice hostapd: wlan0: STA xx:xx:xx:xx:xx:xx IEEE 802.11: did not acknowledge authentication response

here is the log file link

if it ask for password please inform me.

@khandakershahi
It is asking for password.

@ralaud
I send you a message.

@khandakershahi
I really dont know, I looked into but I do only find the same what you already found.
Did you turned on that Krack fix workaround?
Because I found this post and it is saying about this workaround;

Since some client devices might never receive an update, hostapd contains an optional AP-side workaround to complicate these attacks, slowing them down. Please note that this does not fully protect you from them, especially when running older versions of wpa_supplicant vulnerable to CVE-2017-13086, which the workaround does not address. As this workaround can cause interoperability issues and reduced robustness of key negotiation, this workaround is disabled by default.

@ralaud
I didn't use that yet.

I did something else. I removed @ symbol from my password than it able to connect to wifi for one time, after that it failed to connect. Than I create another ssid with no encryption and use mac filtering only for that laptop. Now it can connect to router.

Today I again install the new build firmware after that it can connect with password. If it failed again than I will again use the open wifi setting with mac filtering.

Thank you for your help.

2 Likes

@khandakershahi
So there was a bug in these builds you used. I need to reflash mine too. Because https server for luci gui was crashing, I hope I will not run into the same problem that you had.
I do recommend you to use that Krack fix, of course only if it doesn't make problems.

For that there is a community to help :slight_smile:
Its always better to have one more, who deal with the problem.

I have a small question, Is it possible to pin my post to the first posts of this Topic?

Edit: Oh I saw now, that @braian87b added my post to his. Thanks braian87b :slight_smile:

1 Like

20180627_101401I have the ES (Colombia version) of this TL-WR841N V13 and wanted to find out if I could install this on it?

I am limited to number of posts I can make and photos I can post so I am editing some of my early posts for pics

Hi @digitalknight please take a few pictures of the router, we need to see the case, tag and if you can also, take a few pictures too of the board the best way you can and if you could make a zoom into the main SoC to see it better.

Please blank out the macaddress and serial number on the tag for privacy.

On the all previous wr841 versions it is really easy to remove the screws and open it, so it should be no a problem.

With that info we could research better later on this.

ps, I also speak spanish if you need.

Thanks.

What's the meaning of "To access U-Boot CLI, keep pressed "4" key during boot"

How do I press the 4 key? From where?

Sorry but I'm a noob.

@tjthomas101
In WR841N V13 there is three button.

  1. Power On/Off
  2. Wi-Fi On/Off
  3. WPS reset.

To flash using tftp we use the WPS reset button.

u-boot cli is accesible using usb - serial-ttl cable.

Hello
After reading recommandations on the OpenWRT/Lede project page, I bought a TP Link WR841. Now, I see, it is v13. The software I wanted to install (freifunk dot net, based on openWRT), stopps at v12. At https://openwrt.org/toh/tp-link/tl-wr841nd, it is written, that I need LEDE snahshots. I am confused. Can I install OpenWRT/LEDE on a WR841 v13 "just so" (without it takes me hours and hours) and without big risks? Which version I should use?
E.

Model: TL-WR814N(TPD)
Version: 13.0
Step-by-step-guide I wanted to follow: http://www.freifunk-bochum.de/was-ist-freifunk/anleitung/

first time installation image: https://downloads.openwrt.org/releases/18.06.0-rc1/targets/ramips/mt76x8/openwrt-18.06.0-rc1-ramips-mt76x8-tl-wr841n-v13-squashfs-tftp-recovery.bin

Got it. Thx